ICU 68.2: Data Fields

ICU 68.2 68.2

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - f -

- Factory : icu::Transliterator
- fAreAllFieldsSet : icu::Calendar
- fAreFieldsSet : icu::Calendar
- fAreFieldsVirtuallySet : icu::Calendar
- fastCopyFrom() : icu::UnicodeString
- fCalendar : icu::DateFormat
- fClientArrays : icu::RunArray
- fData : icu::RuleBasedBreakIterator
- fEngineeringInterval : icu::number::Notation::NotationUnion::ScientificSettings
- fExponentSignDisplay : icu::number::Notation::NotationUnion::ScientificSettings
- fFields : icu::Calendar
- field : UFieldPosition
- fieldDifference() : icu::Calendar
- FieldPosition() : icu::FieldPosition
- FieldPositionIterator() : icu::FieldPositionIterator
- FilteredBreakIteratorBuilder() : icu::FilteredBreakIteratorBuilder
- FilteredNormalizer2() : icu::FilteredNormalizer2
- filteredTransliterate() : icu::Transliterator
- fIncrement : icu::number::Precision::PrecisionUnion::IncrementSettings
- find() : icu::RegexMatcher , icu::StringPiece , icu::TimeZoneNames
- findAndReplace() : icu::UnicodeString
- findDestinationIndex() : icu::Edits::Iterator
- findSourceIndex() : icu::Edits::Iterator
- finishTransliteration() : icu::Transliterator
- first() : icu::BreakIterator , icu::BytesTrie , icu::CharacterIterator , icu::Normalizer , icu::RuleBasedBreakIterator , icu::SearchIterator , icu::UCharCharacterIterator , icu::UCharsTrie
- first32() : icu::CharacterIterator , icu::UCharCharacterIterator
- first32PostInc() : icu::CharacterIterator , icu::UCharCharacterIterator
- firstForCodePoint() : icu::UCharsTrie
- firstPostInc() : icu::CharacterIterator , icu::UCharCharacterIterator
- fIsSet : icu::Calendar
- fIsTimeSet : icu::Calendar
- fixedFraction() : icu::number::Precision
- fixedSignificantDigits() : icu::number::Precision
- flags() : icu::RegexPattern , UText
- fLocales : icu::LocaleRuns
- Flush() : icu::ByteSink
- flush : UConverterFromUnicodeArgs , UConverterToUnicodeArgs
- fMaxFrac : icu::number::Precision::PrecisionUnion::FractionSignificantSettings , icu::number::Precision::PrecisionUnion::IncrementSettings
- fMaxSig : icu::number::Precision::PrecisionUnion::FractionSignificantSettings
- fMinExponentDigits : icu::number::Notation::NotationUnion::ScientificSettings
- fMinFrac : icu::number::Precision::PrecisionUnion::FractionSignificantSettings , icu::number::Precision::PrecisionUnion::IncrementSettings
- fMinSig : icu::number::Precision::PrecisionUnion::FractionSignificantSettings
- fNumberFormat : icu::DateFormat
- fold() : icu::CaseMap
- foldCase() : icu::UnicodeString
- following() : icu::BreakIterator , icu::RuleBasedBreakIterator , icu::SearchIterator
- FontRuns() : icu::FontRuns
- forIdentifier() : icu::MeasureUnit
- forLanguageTag() : icu::Locale
- forLocale() : icu::PluralRules
- forLocaleOrDefault() : icu::TimeZone
- format() : icu::ChoiceFormat , icu::CompactDecimalFormat , icu::DateFormat , icu::DateIntervalFormat , icu::DecimalFormat
- Format() : icu::Format
- format() : icu::Format , icu::ListFormatter , icu::MeasureFormat , icu::MessageFormat , icu::NumberFormat , icu::PluralFormat , icu::RelativeDateTimeFormatter , icu::RuleBasedNumberFormat , icu::ScientificNumberFormatter , icu::SelectFormat , icu::SimpleDateFormat , icu::SimpleFormatter , icu::TimeZoneFormat
- formatAndAppend() : icu::SimpleFormatter
- formatAndReplace() : icu::SimpleFormatter
- formatDecimal() : icu::number::LocalizedNumberFormatter
- formatDecimalQuantity() : icu::number::LocalizedNumberFormatter
- formatDouble() : icu::number::LocalizedNumberFormatter
- formatFormattableRange() : icu::number::LocalizedNumberRangeFormatter
- formatImpl() : icu::number::LocalizedNumberFormatter , icu::number::LocalizedNumberRangeFormatter
- formatInt() : icu::number::LocalizedNumberFormatter
- formatMeasurePerUnit() : icu::MeasureFormat
- formatMeasures() : icu::MeasureFormat
- formatNumeric() : icu::RelativeDateTimeFormatter
- formatNumericToValue() : icu::RelativeDateTimeFormatter
- formatOffsetISO8601Basic() : icu::TimeZoneFormat
- formatOffsetISO8601Extended() : icu::TimeZoneFormat
- formatOffsetLocalizedGMT() : icu::TimeZoneFormat
- formatOffsetShortLocalizedGMT() : icu::TimeZoneFormat
- formatStringsToValue() : icu::ListFormatter
- Formattable() : icu::Formattable
- FormattedDateInterval() : icu::FormattedDateInterval
- FormattedList() : icu::FormattedList
- FormattedNumber() : icu::number::FormattedNumber
- FormattedNumberRange() : icu::number::FormattedNumberRange
- FormattedRelativeDateTime() : icu::FormattedRelativeDateTime
- formatter1 : icu::number::impl::RangeMacroProps
- formatter2 : icu::number::impl::RangeMacroProps
- formatToDecimalQuantity() : icu::DecimalFormat
- formatToValue() : icu::DateIntervalFormat , icu::RelativeDateTimeFormatter
- formatVersion : UDataInfo
- forProperties() : icu::number::impl::Grouper , icu::number::impl::Padder
- forSkeleton() : icu::number::NumberFormatter
- forStrategy() : icu::number::impl::Grouper
- ForwardCharacterIterator() : icu::ForwardCharacterIterator
- FRACTION_FIELD : icu::NumberFormat
- freeze() : icu::UnicodeSet
- fRequireMinInt : icu::number::Notation::NotationUnion::ScientificSettings
- fromUCollationElements() : icu::CollationElementIterator
- fromUCollator() : icu::Collator
- fromUFormattable() : icu::Formattable
- fromUSet() : icu::UnicodeSet
- fromUTF32() : icu::UnicodeString
- fromUTF8() : icu::UnicodeString
- fStamp : icu::Calendar
- FULL : icu::DateFormat